Bug 136596 - Style inspector: show the paragraph language
Summary: Style inspector: show the paragraph language
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-09-09 08:01 UTC by Telesto
Modified: 2020-09-20 13:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-09 08:01:33 UTC
Description:
Should the style inspector also show they paragraph langua

Steps to Reproduce:
1. Open Writer
2. Type something
3. Search for the language in the style inspector

Actual Results:
No language entry

Expected Results:
"Expected" is outdoing it.. But might be logical?


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: e8b8e7be0b2ad693224cd94062a55610eb69df7e
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Heiko Tietze 2020-09-14 10:35:00 UTC
If the language is part of the PS it should. But maybe the way language is bound to the font is not related to PS.
Comment 2 Commit Notification 2020-09-19 21:24:59 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c6b6995004d34cadaec68e2b6e17667d43f9995e

tdf#136596: show document language (char locale) in the inspector

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Aron Budea 2020-09-19 23:33:39 UTC
The language is now shown with the id "Char Locale" as language + country code, but only if it differs from the document language. Ie. if you change the language for a piece of text, it'll be shown, while if you change it for the whole documnent, it won't be shown.

Let's keep this open until the document language is displayed there as well.
Comment 4 Mike Kaganski 2020-09-20 06:50:10 UTC
(In reply to Aron Budea from comment #3)
> The language is now shown with the id "Char Locale" as language + country
> code, but only if it differs from the document language. Ie. if you change
> the language for a piece of text, it'll be shown, while if you change it for
> the whole documnent, it won't be shown.

Do you mean that you have a situation when default paragraph style doesn't show a char locale??
Comment 5 Aron Budea 2020-09-20 13:42:50 UTC
Oh, I didn't notice that, indeed it's there in all cases. Let's close as fixed, then.